Summary:	Parody of Mortal Kombat
Name:		openmortal
Version:	0.7.1
Release:	%mkrel 13
Source0:	%{name}-0.7.tar.bz2
Source1:	laurence.zip
Source2:	ikari.zip
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		openmortal-0.7-extra-qualification.patch
Patch1:		openmortal-0.7-fix-build-with-freetype2.patch
License:	GPLv2
Group:		Games/Arcade
Url:		http://openmortal.sourceforge.net/
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
#BuildRequires: SDL_ttf-devel
BuildRequires:	freetype2-devel
BuildRequires:	perl-devel

%description
Mortal Szombat is a parody of the popular coin-up game, Mortal Kombat.

It is currently playable (maybe even enjoyable), although it is still
under development. Only two-player game is supported, single-player games
against computer opponent is not planned yet.

There are currently 9 playable characters, and 8 more in the making!

%prep
%setup -n %{name}-0.7 -q
%patch0 -p0
%patch1 -p1 -b .freetype-fix

unzip %{SOURCE1} -d data/gfx
unzip %{SOURCE2} -d data/gfx

perl -pi -e "s|level6.jpg|level6.jpg level12.desc level12_arena.png\
 level12_background.png level12_left.png level12_right.png level13.desc\
 level13_arena.png level13_background.png level13_plane2.png|"\
 data/gfx/Makefile.in

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Mortal Szombat
Comment=%{summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

#icons
install %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%files
%doc AUTHORS ChangeLog PACKAGERS README TODO
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.7.1-13.mga6
+ Revision: 956546
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 0.7.1-12.mga6
+ Revision: 846023
- rebuild with soname-ified perl

* Wed Oct 15 2014 umeabot <umeabot> 0.7.1-11.mga5
+ Revision: 743935
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.1-10.mga5
+ Revision: 683224
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 wally <wally> 0.7.1-9.mga5
+ Revision: 672703
- update license
- add patch to fix build with freetype2

* Fri Oct 18 2013 umeabot <umeabot> 0.7.1-8.mga4
+ Revision: 508724
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1-7.mga3
+ Revision: 362049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 11 2012 zezinho <zezinho> 0.7.1-6.mga3
+ Revision: 269344
- cleanup spec

* Sat Jun 18 2011 zezinho <zezinho> 0.7.1-5.mga2
+ Revision: 109335
- imported package openmortal


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.1-5mdv2011.0
+ Revision: 613539
- rebuild

* Sat May 01 2010 Funda Wang <fwang@mandriva.org> 0.7.1-4mdv2010.1
+ Revision: 541472
- fix desktop file

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.7.1-4mdv2010.0
+ Revision: 430212
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.7.1-3mdv2009.0
+ Revision: 254841
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Guillaume Bedot <littletux@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 179305
- 0.7.1 (two new backgrounds)

* Fri Jan 25 2008 Guillaume Bedot <littletux@mandriva.org> 0.7-13mdv2008.1
+ Revision: 157730
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun May 20 2007 Olivier Thauvin <nanardon@mandriva.org> 0.7-12mdv2008.0
+ Revision: 28819
- rebuild: mkrel size does matter


* Sun Dec 31 2006 Olivier Blin <oblin@mandriva.com> 0.7-11mdv2007.0
+ Revision: 102970
- buildrequires freetype2-devel

  + Olivier Thauvin <nanardon@mandriva.org>
    - rebuild
    - Import openmortal

* Fri Jun 30 2006 Guillaume Bedot <littletux@mandriva.org> 0.7-10mdv2007.0
- rebuilt for perl 5.8.8.
- %%mkrel
- XDG menu
- gcc 4.1 patch (extra qualification)

* Sat May 21 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-9mdk
- rebuilt for perl 5.8.7.

* Wed May 18 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-8mdk
- removed vendor hardcoded in the spec, thanks stew_b.
- /me needs brain and smaller fingers.

* Wed May 18 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-7777777removed vendor hardcoded in the spec, thanks stew_b.
* Tue May 17 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-6mdk
- fixed wrong rights on doc.

* Mon May 16 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-5mdk
- fixed menu section
- fixed missing doc

* Sun May 15 2005 Guillaume Bedot <littletux@mandriva.org> 0.7-4mdk
- rebuilt to run on cooker / LE 2005 again.
 ( i apologize for this, i uploaded to the wrong plf section, but it finally
 appeared that it was wrong for this package to be in plf... )
- it appears that openmortal data is free to distribute, so this package 
 goes to contribs.

* Sun Apr 03 2005 Guillaume Bedot <littletux@zarb.org> 0.7-3plf
- rebuilt to run on cooker / LE 2005.

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@zarb.org> 0.7-2plf
- rebuild for new perl

* Sun May 16 2004 Olivier Blin <blino@mandrake.org> 0.7-1plf
- fix menu entry
- 0.7

* Tue Apr 27 2004 Stefan van der Eijk <stefan@zarb.org> 0.6-2plf
- BuildRequires

* Wed Mar 17 2004 Per yvind Karlsen <peroyvind@sintrax.net> 0.6-1plf
- 0.6

* Fri Feb 06 2004 Per yvind Karlsen <peroyvind@sintrax.net> 0.5-1plf
- 0.5
- drop P0

* Mon Jan 12 2004 Per yvind Karlsen <peroyvind@sintrax.net> 0.4-1plf
- 0.4
- fix build with newer freetype (P0)

